/*----------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
----------------------------------------------------------------------------*/

package FacilityMgmt.FacilityMaintenance;

import java.util.Vector;

/** 
 * @author TogetherSoft
 * @stereotype moment-interval */
public class FacilityProblem {
    public void logFacilityProblem() {
    }

    public FacilityMaintenance mi_generateMaintRequest() {
        return new FacilityMaintenance();
    }

    public Vector mi_assessProblemToMaintenance() {
        return new Vector();
    }

    public static Vector listFacilityProblems() {
        return new Vector();
    }

    private int interval;
    private int type;
    private String symptom;
    private String cause;
    private int status;

    /**
     *@supplierCardinality 0..*
     * @clientCardinality 0..*
     */
    private FacilityMaintRequest lnkUnnamed;
}


